User Tools

Site Tools


minimum_requirements

Note that you may be able to use Mixxx on older hardware/OSs than what's listed here but you will need to build it and its dependencies yourself. See instructions to compile from source.

Mixxx 2.2 (planned)

Minimum Requirements Windows Mac OS X Ubuntu
OS Version Windows 7 OS X 10.9 Ubuntu 16.04 (Xenial)
CPU Architecture i686 (SSE2), amd64 amd64 i686 (SSE2), amd64
CPU (for non-techies) 32-bit: Pentium 4 onwards
64-bit: any
64-bit 32-bit: Pentium 4 onwards
64-bit: any

Mixxx 2.1

Minimum Requirements Windows Mac OS X Ubuntu
OS Version Windows XP OS X 10.8 Ubuntu 14.04 (Trusty)
CPU Architecture i686 (SSE2), amd64 amd64 i686 (SSE2), amd64
CPU (for non-techies) 32-bit: Pentium 4 onwards
64-bit: any
64-bit 32-bit: Pentium 4 onwards
64-bit: any

Mixxx 2.0

Minimum Requirements Windows Mac OS X Ubuntu
OS Version Windows XP OS X 10.6 Ubuntu 14.04 (Trusty)
CPU Architecture i686 (SSE2), amd64 amd64 i686, amd64
CPU (for non-techies) 32-bit: Pentium 4 onwards
64-bit: any
64-bit 32-bit: Pentium 4 onwards
64-bit: any
Translations of this page:
minimum_requirements.txt · Last modified: 2018/04/19 13:23 by pegasus